be.fgov.ehealth.dics.protocol.v5

## Class FindLegislationTextRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v5.DicsRequestType
    - - be.fgov.ehealth.dics.protocol.v5.FindLegislationTextRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:19:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class FindLegislationTextRequest
      extends DicsRequestType
      implements Serializable

  Java class for FindLegislationTextRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindLegislationTextRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
             <choice>
               <element name="FindLegalBases" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindLegalBasesType"/>
               <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindLegislationTextRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindByDmppType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
    `String` | `getFindByLegalReferencePath()` Gets the value of the findByLegalReferencePath property.
    `FindLegalBasesType` | `getFindLegalBases()` Gets the value of the findLegalBases property.
    `void` | `setFindByDmpp(FindByDmppType value)` Sets the value of the findByDmpp property.
    `void` | `setFindByLegalReferencePath(String value)` Sets the value of the findByLegalReferencePath property.
    `void` | `setFindLegalBases(FindLegalBasesType value)` Sets the value of the findLegalBases property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

      `getSearchDate, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindLegislationTextRequest

          public FindLegislationTextRequest()

  - ### Method Detail

    - #### getFindByDmpp

          public FindByDmppType getFindByDmpp()

      Gets the value of the findByDmpp property.
      Returns:
        possible object is `FindByDmppType`

    - #### setFindByDmpp

          public void setFindByDmpp(FindByDmppType value)

      Sets the value of the findByDmpp property.
      Parameters:
        `value` - allowed object is `FindByDmppType`

    - #### getFindByLegalReferencePath

          public String getFindByLegalReferencePath()

      Gets the value of the findByLegalReferencePath property.
      Returns:
        possible object is `String`

    - #### setFindByLegalReferencePath

          public void setFindByLegalReferencePath(String value)

      Sets the value of the findByLegalReferencePath property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFindLegalBases

          public FindLegalBasesType getFindLegalBases()

      Gets the value of the findLegalBases property.
      Returns:
        possible object is `FindLegalBasesType`

    - #### setFindLegalBases

          public void setFindLegalBases(FindLegalBasesType value)

      Sets the value of the findLegalBases property.
      Parameters:
        `value` - allowed object is `FindLegalBasesType`

Connector Packaging PERSLOGOPEDIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.